#pragma once

int mainproc(BitcasaAPI& API, param::paramdata& param);

std::string SystemStringToStdString(System::String^ str);
std::wstring SystemStringToStdWString(System::String^ str);

INT64 GetByteValue(_TCHAR *str);
INT64 GetDateValue(_TCHAR *str);
_TCHAR *GetDecimalValue(_TCHAR *str, double *value);

std::string filetimestr(const FILETIME &t);
std::string bytestring(INT64 size);
std::string timestring(double sec);

void printdatesize(const WIN32_FIND_DATA &fd);
